Name:           perl-Boulder
Version:        1.30
Release:        7%{?dist}
Summary:        An API for hierarchical tag/value structures
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Boulder/
Source0:        http://www.cpan.org/modules/by-module/Boulder/Boulder-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(XML::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Boulder provides a simple stream-oriented format for transmitting data
objects between one or more processes.  It does not provide for the
serialization of Perl objects the way FreezeThaw or Data::Dumper do, but it
does provide the advantage of being language independent.

%prep
%setup -q -n Boulder-%{version}

%build
#Uses a non-existent module
rm Boulder/Labbase.pm

%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING Artistic
%doc %{perl_vendorlib}/Boulder.pod
%{perl_vendorlib}/Boulder/
%{perl_vendorlib}/Stone*
%{_mandir}/man3/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.30-5.1
Rebuild for new perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.30-4.1
- missing BR

* Wed Aug 15 2007 Orion Poplawski <orion@cora.nwra.com> 1.30-4
- Update license
- Add BR perl(ExtUtils::MakeMaker)

* Thu Sep  7 2006 Orion Poplawski 1.30-3
- Rebuild for FC6

* Fri Oct 21 2005 Orion Poplawski 1.30-2
- Mark .pod file %doc

* Tue Oct 11 2005 Orion Poplawski 1.30-1
- Specfile autogenerated.
